#include <stdio.h>
#include <string.h>

int main(){
    while(1){
        char num[6];
        scanf("%s",num);
        if(num[0]=='0' && num[1]=='\0') break;

        int len=strlen(num);
        int flag = 1;
        for(int i=0; i<len/2; i++) {
            if(num[i] != num[len-i-1]) {
                flag = 0;
                break;
            }
        }

        printf("%s\n",flag ? "yes" : "no");
    }
    
    return 0;
}